Skip to main content
GET
/
v1
/
workflows
/
blocks
/
executions
from retab import Retab

client = Retab()

block_executions = client.workflows.blocks.executions.list(
    run_id="run_abc123xyz",
    block_id="blk_extract_1",
)
{
  "data": [],
  "list_metadata": {
    "before": null,
    "after": null
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.retab.com/llms.txt

Use this file to discover all available pages before exploring further.

List workflow block executions for one run and block.
from retab import Retab

client = Retab()

block_executions = client.workflows.blocks.executions.list(
    run_id="run_abc123xyz",
    block_id="blk_extract_1",
)
{
  "data": [],
  "list_metadata": {
    "before": null,
    "after": null
  }
}

Authorizations

Api-Key
string
header
required

Query Parameters

run_id
string
required
block_id
string
required
before
string | null
after
string | null
limit
integer
default:20
Required range: 1 <= x <= 100
order
enum<string>
default:desc
Available options:
asc,
desc

Response

Successful Response

data
BlockExecution · object[]
required
list_metadata
ListMetadata · object
required

Boundary resource IDs for page navigation.